Chapter 3. Installation

The preferred way to install Pegasus is with native (RPM/DEB) packages. It is recommended that you also install HTCondor (formerly Condor) (yum, debian) from native packages.

3.1. Prerequisites

Pegasus has a few dependencies:

  • Java 1.8 or higher. Check with:

    # java -version
    java version "1.8.0"
    
  • Python 2.6 or higher. Check with:

    # python -v
    Python 2.6.2

    Non-standard Python installation: Pegasus will use the system Python by default. If you want to override this behavior, please set the PEGASUS_PYTHON environment variable during the build. This environment variable is only for build time configuration. Once built, Pegasus will continue to use the build time specified Python install.

  • HTCondor (formerly Condor) 8.6 or higher. See http://www.cs.wisc.edu/htcondor/ for more information. You should be able to run condor_q and condor_status.